XML External Entity (XXE) Injection

Affecting expat package, versions <2.1.0-6+deb8u4

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

XML External Entity vulnerability in libexpat 2.2.0 and earlier (Expat XML Parser Library) allows attackers to put the parser in an infinite loop using a malformed external entity definition from an external DTD.

References

CVSS Score

7.5
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    None
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
CVE
CVE-2017-9233
CWE
CWE-611 CWE-835
Snyk ID
SNYK-DEBIAN8-EXPAT-358036
Disclosed
25 Jul, 2017
Published
25 Jul, 2017